/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.dw.db.entity.MidProjectInfo;
import net.northking.cctp.dw.db.entity.MtTestChart;
import net.northking.cctp.dw.dto.ChartProgressQueryDto;
import net.northking.cctp.dw.dto.MtTestChartDto;
import net.northking.cctp.dw.dto.ProjectDataVo;

import java.util.List;

/**
 * 需求分析进度图表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-15 15:38:09  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
public interface MtTestChartService extends BasicService<MtTestChart> {

    List<MtTestChartDto> queryChartProgress(ChartProgressQueryDto queryDto);

    List<MtTestChart> createOverallTestReportProgress();

    List<MtTestChart> queryToday(List<MidProjectInfo> midProjectInfos);

    void deleteProgress(String tenantId);

    List<MtTestChart> findMaxDateGroupByProId(Integer testType);

    Integer queryTodayDeleted(List<MidProjectInfo> dataList);

    List<MtTestChart> getPercentActualAmountByProjectId(String projectId);

    List<ProjectDataVo> getProjectIds(String tenantId);
}
